bug-glpk
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Bug-glpk] [Fwd: Shared library versioning problem in GLPK 4.52]


From: Andrew Makhorin
Subject: [Bug-glpk] [Fwd: Shared library versioning problem in GLPK 4.52]
Date: Fri, 26 Jul 2013 23:17:16 +0400

-------- Forwarded Message --------
From: S├ębastien Villemot <address@hidden>
To: address@hidden
Subject: Shared library versioning problem in GLPK 4.52
Date: Fri, 26 Jul 2013 21:12:01 +0200

Hi,

GLPK 4.51 was building libglpk.so.36, while GLPK 4.52 builds
libglpk.so.35 (note the decrease in the SOVERSION, which should not
happen with a shared library).

The problem is that the libtool versioning information has not been
updated correctly. In GLPK 4.52, it currently reads "-version-info
36:0:1", while it should be "-version-info 37:0:1" (because interfaces
have been added between 4.51 and 4.52, but no interface was modified or
removed). More details can be found in the libtool manual, in the
section entitled "Updating library version information".

Can you please confirm that you agree with me and are going to apply the
suggested fix? This problem is currently blocking the upload of GLPK
4.52 to Debian.

Cheers,

-- 
 .''`.    S├ębastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594






reply via email to

[Prev in Thread] Current Thread [Next in Thread]